/*
 * Author: Hiroyuki Chishiro
 * License: 2-Clause BSD
 */
#ifndef __GPIO_H__
#define __GPIO_H__


#define GPFSEL1 (GPIO_CONTROLLER_BASE + 0x04)

#define GPFSEL_FSELn5_SHIFT 15
#define GPFSEL_FSELn5_MASK (0x7 << GPFSEL_FSELn5_SHIFT)

#define GPFSEL_FSELn4_SHIFT 12
#define GPFSEL_FSELn4_MASK (0x7 << GPFSEL_FSELn4_SHIFT)

#define GPIO_PINn_ALT0 0x4


#define GPPUD (GPIO_CONTROLLER_BASE + 0x94)

#define GPPUD_DISABLE_PULL_UP_DOWN 0x0

#define GPPUDCLK0 (GPIO_CONTROLLER_BASE + 0x98)

#define GPPUDCLKn_SET(x) (0x1 << ((x) & 0x1f))



#define ENABLE_IRQS2 (IRQ_BASIC_BASE + 0x00000014)



#endif /* __GPIO_H__ */

